/** *****************************************************
 * Copyright (C) HRider in motion S.L.
 *
 * This file is part of HRider.
 *
 * HRider can not be copied and/or distributed without the express
 * permission of HRider in motion S.L.
 ****************************************************** */
package net.hrider.api.client;

import javax.ws.rs.core.Response;
import net.hrider.api.ApiError;

/**
 *
 * @author drh (dani@hrider.net)
 */
public class ApiException extends Exception {
    
    private ApiError error;
    private final Response.Status status;
    
    public ApiException(Response.Status status) {        
        this(status, null);
    }
    
    public ApiException(Response.Status status, ApiError error) {
        this.status = status;
        this.error = error;
    }
    
    public Response.Status getStatus() {
        return status;
    }
    
    public ApiError getError() {
        return error;
    }

    @Override
    public String toString() {
        return "ApiException{" + "error=" + error + ", status=" + status.getStatusCode() + '}';
    }
    
}
